import req from '../request'

module.exports = {

	//自由任务
	freeTasksList: data => {
		return req({
			url: '/task/task_list',
			method: 'get',
			data: data,
		});
	},
	//常规任务
	conventionTasksList: data => {
		return req({
			url: '/task/common_list',
			method: 'get',
			data: data,
		});
	},
	//获取测试项目
	getTaskProject: data => {
		return req({
			url: '/exam/ccconfig_grade_view',
			method: 'get',
			data: data,
		});
	},
	//学生成绩列表
	taskStudents: data => {
		return req({
			url: '/spro/task_students',
			method: 'post',
			data: data,
		});
	},
	//学生成绩录入
	taskResultRecordIn: data => {
		return req({
			url: '/spro/task_result_record_in',
			method: 'post',
			data: data,
		});
	},

}